| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcTimeoutException Class Reference

Exception thrown by the RPC API when an operation times out. More...

`#include <RpcTimeoutException.hpp>`

Inheritance diagram for RpcTimeoutException:
[legend]

## Public Member Functions

| RpcTimeoutException ()
| Constructor.
| RpcTimeoutException (const RpcTimeoutException &other) noexcept=default
| Copy constructor.
RpcTimeoutException & | operator= (const RpcTimeoutException &other) noexcept=default
| Copy assignment.
virtual | ~RpcTimeoutException () noexcept=default
| Destructor.
Public Member Functions inherited from RpcException
| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Exception thrown by the RPC API when an operation times out.

## Constructor & Destructor Documentation

## ◆ RpcTimeoutException() [1/2]

RpcTimeoutException | ( |  | ) |

inline

Constructor.

## ◆ RpcTimeoutException() [2/2]

RpcTimeoutException | ( | const RpcTimeoutException & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RpcTimeoutException()

virtual ~RpcTimeoutException | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ operator=()

RpcTimeoutException & operator= | ( | const RpcTimeoutException & | other | ) |

default noexcept

Copy assignment.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RpcTimeoutException.hpp